Decline deposit ZeroConf offer
Record the Bitcoin deposit ZeroConf decision; conflicting or stale decisions return standing_zeroconf_offer_conflict. Requires a server key.
POST
/
v1
/
standing-deposit-addresses
/
{ref}
/
deposits
/
{depositId}
/
zeroconf
/
decline
Decline deposit ZeroConf offer
curl --request POST \
--url https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/deposits/{depositId}/zeroconf/decline \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"offerId": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({offerId: '<string>'})
};
fetch('https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/deposits/{depositId}/zeroconf/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/deposits/{depositId}/zeroconf/decline"
payload = { "offerId": "<string>" }
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"deposit": {
"id": "<string>",
"chain": "<string>",
"asset": "<string>",
"amount": "<string>",
"sourceTxId": "<string>",
"sourceTxIndex": "<string>",
"senderAddress": "<string>",
"observedAt": "<string>",
"status": "<string>",
"code": "<string>",
"batchId": "<string>",
"orderId": "<string>",
"quoteId": "<string>",
"batchState": "<string>",
"refundTxId": "<string>",
"zeroconfOffer": {
"id": "<string>",
"status": "pending",
"expiresAt": "<string>",
"depositSats": "<string>",
"feeSats": "<string>",
"creditSats": "<string>"
}
}
}Authorizations
Partner API key in the form Authorization: Bearer fn_....
Headers
Minimum string length:
1Path Parameters
Required string length:
1 - 128Minimum string length:
1Body
application/json
Required string length:
1 - 128Response
Decision persisted; execution is asynchronous
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Decline deposit ZeroConf offer
curl --request POST \
--url https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/deposits/{depositId}/zeroconf/decline \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"offerId": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({offerId: '<string>'})
};
fetch('https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/deposits/{depositId}/zeroconf/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/deposits/{depositId}/zeroconf/decline"
payload = { "offerId": "<string>" }
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"deposit": {
"id": "<string>",
"chain": "<string>",
"asset": "<string>",
"amount": "<string>",
"sourceTxId": "<string>",
"sourceTxIndex": "<string>",
"senderAddress": "<string>",
"observedAt": "<string>",
"status": "<string>",
"code": "<string>",
"batchId": "<string>",
"orderId": "<string>",
"quoteId": "<string>",
"batchState": "<string>",
"refundTxId": "<string>",
"zeroconfOffer": {
"id": "<string>",
"status": "pending",
"expiresAt": "<string>",
"depositSats": "<string>",
"feeSats": "<string>",
"creditSats": "<string>"
}
}
}